# Dropship

> Drag it, drop it, ship it.

Dropship is a graphical interface for [Magic-wormhole](https://magic-wormhole.readthedocs.io/en/latest). It allows you to securely send files from one computer to another. Dropship doesn't require any accounts or logging in. Simply select which files you want to send, drop them on the interface and share the resulting password with the receiver. Similarly, to receive a file just enter the received password in Dropship to start receiving a file.

![Screen cast of dropship interface](https://vvvvvvaria.org/~r/dropship0.1.gif)

_(click for video)_

## Features

- Drag and drop interface
- Manage multiple transfers simultaneously, wheter you are receiving or sending

## Technical

Dropship is built using Python and GTK3.

## Supported Languages

- English

## System requirements

Dropship should work on the following distributions:

- Debian Bullseye

Other Linux distributions may work as well. We currently do not support MacOS or Windows.

Dropship requires the following system dependencies:

- GTK+
- Python > 3.6
- PyGObject 3.30.5+
- Cairo > 1.14

## Install

[![PyPI version](https://badge.fury.io/py/dropship.svg)](https://badge.fury.io/py/dropship)
[![Build Status](https://travis-ci.org/decentral1se/dropship.svg?branch=main)](https://travis-ci.org/decentral1se/dropship)

<details><summary>Debian Bullseye</summary>
<pre>
$ sudo apt install -y python3-gi python3-cairo-dev python3-gi-cairo gir1.2-gtk-3.0 libglib2.0-dev libgirepository1.0-dev libcairo2-dev
$ python3 -m venv .venv
$ source .venv/bin/activate
$ pip install dropship
$ dropship  # run in your command-line terminal
</pre>
</details>

## Develop

See our [wiki](https://git.vvvvvvaria.org/rra/dropship/wiki).
